#include <bits/stdc++.h>
using namespace std;

int n, m;
long long a[1505][1505];

int main()
{
	scanf("%d %d", &n, &m);
	for (int i = 1; i <= n; ++i)
	{
		for (int j = 1; j <= m; ++j)
		{
			scanf("%lld", &a[i][j]);
		}
	}
	printf("1\n");
	return 0;
}